SDL_ScaleMode(3type)

NAME
SDL_ScaleMode - The scaling mode.

SYNOPSIS
#include <SDL3/SDL_surface.h>

typedef enum SDL_ScaleMode
{
    SDL_SCALEMODE_INVALID = -1,
    SDL_SCALEMODE_NEAREST,  /**< nearest pixel sampling */
    SDL_SCALEMODE_LINEAR,   /**< linear filtering */
    SDL_SCALEMODE_PIXELART  /**< nearest pixel sampling with improved scaling for pixel art, available since SDL 3.4.0 */
} SDL_ScaleMode;

AVAILABILITY
This enum is available since SDL 3.2.0.